
clear all 
close all

load('dataFigure2dpaper.mat');       
 
Xdata(:,1)=DOS1_0p2(120:end,1)./10^9;

E0p4=DOS1_0p4_cal;
E3p0=DOS1_3p0_cal;
E0p5=DOS1_0p5_d_cal;

% Define voltage and current setpoints
voltage_setpoint = -0.3;  % First voltage setpoint in millivolts (Xdata(:,1))
current_setpoint = 0.4, 3.0, 0.5;     % Current setpoint in nanoamperes

figure()
hold on
% Plot data with smoothing using different voltage columns
plot(Xdata(:,1), smooth(E0p4,5), 'r')   % Plot MeanBulk with Xdata(:,1)
plot(Xdata(:,1), smooth(E3p0,5), 'k')   % Plot Meanedge with Xdata(:,1)
plot(Xdata(:,1), smooth(E0p5,5), 'b')  % Plot MeanEdge2 with Xdata(:,1)
hold off
% Set plot limits
xlim([-0.1 0.3])

% Add legend and labels
xlabel('sample bias (V)')
ylabel('norm dI/dV (arb. u.)')
legend('0.4 nA', '3.0 nA', '0.5 nA')
axis square
box on


% Save figure to PDF
saveas(gcf, 'plot_output_ElectricFieldmain.pdf')

% Prepare and save data to a text file
data_to_save = [Xdata(:,1), smooth(E0p4,5), smooth(E3p0,5), smooth(E0p5,5)];
header = 'Voltage(mV) Ez0p4 Ez3p0 Ez0p5R';

% Write data to text file
fid = fopen('plot_output_ElectricFieldmain.txt', 'w');

% Write setpoints
fprintf(fid, 'Voltage Setpoint (mV): %.3f\tCurrent Setpoint (nA): %.3e\n', voltage_setpoint, current_setpoint);

% Write header
fprintf(fid, '%s\n', header);

% Write data
fprintf(fid, '%.6f\t%.6f\t%.6f\t%.6f\n', data_to_save.');

% Close file
fclose(fid);

disp('Data saved to data_output.txt and plot saved to plot_output.pdf');









