close all
load dataNWsandNRs.mat
% Save and plot denseBulk and denseEnd data
figure();
hold on;
plot(denseBulk(:,1), denseBulk(:,end), 'b');
plot(denseEnd(:,1), denseEnd(:,end), 'g');

xlim([-1 1]);
xlabel('sample bias (V)');
ylabel('dI/dV (arb. u.)');
legend('NW bulk', 'NW end');
axis square;
box on;

% Save plot as PDF
saveas(gcf, 'dense_plot.pdf');

% Save data to text files
writematrix(denseBulk, 'denseBulk.txt');
writematrix(denseEnd, 'denseEnd.txt');

% Save and plot NWbulk and NWend data
figure();
plot(NWbulk(:,1), NWbulk(:,end), 'k');
hold on;
plot(NWend(:,1), NWend(:,end), 'r');

xlim([-1 1]);
xlabel('sample bias (V)');
ylabel('dI/dV (arb. u.)');
legend('NW bulk', 'NW end');
axis square;
box on;

% Save plot as PDF
saveas(gcf, 'NW_plot.pdf');

% Save data to text files
writematrix(NWbulk, 'NWbulk.txt');
writematrix(NWend, 'NWend.txt');

% Save and plot semilog data
figure();
semilogy(NWbulk(:,1), NWbulk(:,end), 'k');
hold on;
semilogy(NWend(:,1), NWend(:,end), 'r');
semilogy(denseBulk(:,1), denseBulk(:,end), 'b');
semilogy(denseEnd(:,1), denseEnd(:,end), 'g');

xlim([-1 1]);
xlabel('sample bias (V)');
ylabel('dI/dV (arb. u.)');
legend('NW bulk', 'NW end', 'Dense bulk', 'Dense end');
axis square;
box on;

% Save plot as PDF
saveas(gcf, 'semilog_plot.pdf');

% Save additional semilog data to text files
writematrix(NWbulk, 'NWbulk_semilog.txt');
writematrix(NWend, 'NWend_semilog.txt');

% Save and plot smoothed NR data
figure();
hold on;
plot(NR(:,1), smooth(NR(:,2),5));
plot(NR(:,1), smooth(NR(:,4),5));

xlim([-1 1]);
xlabel('sample bias (V)');
ylabel('dI/dV (arb. u.)');
legend('NW bulk', 'NW end');
axis square;
box on;

% Save plot as PDF
saveas(gcf, 'NR_smooth_plot.pdf');

% Save smoothed data to text file
writematrix(NR, 'NR_data.txt');
