close all
clear all
load RibbonSTSforSM.mat
figure()

% ---------- ROW 1 ----------
subplot(3,4,1);
plot(hex2_20022024_2(:,1), smooth(hex2_20022024_2(:,2),15));
hold on
plot(hex2_20022024_2(:,3), smooth(hex2_20022024_2(:,4),15));
xlim([-0.3 0.3]); ylim([0.597 0.68]);
ylabel('dI/dV (arb.u.)');  % Y-label for the first plot in row 1
set(gca, 'YTick', []);     % Hide numeric ticks
xlabel('sample bias (V)');  % Y-label for the first plot in row 1

box on

subplot(3,4,2);
plot(hex2_17112023(:,3), smooth(hex2_17112023(:,4),10)); hold on
plot(hex2_17112023(:,1), smooth(hex2_17112023(:,2),10));
xlim([-0.3 0.3]); ylim([0.65 0.84]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1

box on

subplot(3,4,3);
plot(hex2_20022024_1(:,3), hex2_20022024_1(:,4)); hold on
plot(hex2_20022024_1(:,1), hex2_20022024_1(:,2));
xlim([-0.3 0.3]); ylim([1.076 1.4]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,4);
plot(hex2_17012024(:,1)./1000, smooth(hex2_17012024(:,2),20)); hold on
plot(hex2_17012024(:,3)./1000, smooth(hex2_17012024(:,4),20));
xlim([-0.3 0.3]); ylim([1.57 2.05]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


% ---------- ROW 2 ----------
subplot(3,4,5);
plot(hex3_19022024(:,1), smooth(hex3_19022024(:,2),20)); hold on
plot(hex3_19022024(:,3), smooth(hex3_19022024(:,4),20));
xlim([-0.3 0.3]); ylim([min(hex3_19022024(:,2)) max(hex3_19022024(:,2))+0.1]);

ylabel('dI/dV (arb.u.)');  % Y-label for the first plot in row 2
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,6);
plot(hex3_10112023(:,3), smooth(hex3_10112023(:,4),50)); hold on
plot(hex3_10112023(:,1), smooth(hex3_10112023(:,2),50)); 

xlim([-0.3 0.3]); ylim([min(hex3_10112023(:,2)) 0.29]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,7);
plot(hex3_23112023(:,1), smooth(hex3_23112023(:,2),50)); hold on
plot(hex3_23112023(:,3), smooth(hex3_23112023(:,4),50));
xlim([-0.3 0.3]); ylim([0.66834 0.68]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,8);
plot(hex3_02112023(50:end,1), smooth(hex3_02112023(50:end,4),50)); hold on
plot(hex3_02112023(50:end,3), smooth(hex3_02112023(50:end,2),50));
xlim([-0.3 0.3]); ylim([0.34 0.8]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


% ---------- ROW 3 ----------
subplot(3,4,9);
plot(hex4_17012024(:,3)./1000, smooth(hex4_17012024(:,4),30)./10^9); hold on
plot(hex4_17012024(:,1)./1000, smooth(hex4_17012024(:,2),50)./10^9);

xlim([-0.3 0.3]); ylim([1.44 2.2]);

ylabel('dI/dV (arb.u.)');  % Y-label for the first plot in row 3
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,10);
plot(hex5_13112023(:,1), smooth(hex5_13112023(:,4),15)); hold on
plot(hex5_13112023(:,3), smooth(hex5_13112023(:,2),10));
xlim([-0.3 0.3]);ylim([0.222 0.275]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,11);
plot(hex5_23112023(:,1), smooth(hex5_23112023(:,2),30)); hold on
plot(hex5_23112023(:,3), smooth(hex5_23112023(:,4),30));
xlim([-0.3 0.3]);ylim([0.6625 0.71]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


subplot(3,4,12);
plot(hex5_29012024(:,1), smooth(hex5_29012024(:,2),10)); hold on
plot(hex5_29012024(:,3), smooth(hex5_29012024(:,4),10));
xlim([-0.3 0.3]);ylim([1.46 2]);
set(gca, 'YTick', []);
xlabel('sample bias (V)');  % Y-label for the first plot in row 1


% After defining your subplots:
annotation('textbox',[0.01, 0.77, 0.06, 0.1], ...
           'String','2-hex',...
           'LineStyle','none','HorizontalAlignment','left','FontWeight','bold');
annotation('textbox',[0.01, 0.48, 0.06, 0.1], ...
           'String','3-hex',...
           'LineStyle','none','HorizontalAlignment','left','FontWeight','bold');
annotation('textbox',[0.01, 0.19, 0.06, 0.1], ...
           'String','4-hex',...
           'LineStyle','none','HorizontalAlignment','left','FontWeight','bold');

% --- Annotation for "5 hex wide" to the right of subplots(3,4,10..12)
annotation('textbox', [0.9, 0.2, 0.1, 0.04], ...  
           'String', '5-hex', ...
           'LineStyle', 'none', ...
           'HorizontalAlignment', 'right', ...
           'FontWeight', 'bold');



% Rectangle in dark blue outline, with light blue fill + slight
% transparency [x y w h]
annotation('rectangle', [0.32, 0.056, 0.67, 0.28], ...
           'EdgeColor', [0 0 0.75], ...        % Dark blue outline
           'LineWidth', 0.5); 


% Rectangle in dark blue outline, with light blue fill + slight
% transparency [x y w h]
annotation('rectangle', [0.015, 0.655, 0.925, 0.28], ...
           'EdgeColor', [0.5 0 0], ...        % Dark blue outline
           'LineWidth', 0.5); 

% Rectangle in dark blue outline, with light blue fill + slight
% transparency [x y w h]
annotation('rectangle', [0.015, 0.355, 0.925, 0.28], ...
           'EdgeColor', [0 0.5 0], ...        % Dark blue outline
           'LineWidth', 0.5); 

% Rectangle in dark blue outline, with light blue fill + slight
% transparency [x y w h]
annotation('rectangle', [0.015, 0.056, 0.285, 0.28], ...
           'EdgeColor', [0 0 0], ...        % Dark blue outline
           'LineWidth', 0.5); 
